Postgresql newer version?

The Postgres SQL database that comes with YunoHost by default is version 13.9 as far as I can tell.

The Debian 11 OS behind the current version of YunoHost has apt packages for newer versions: Postgresql-14 and Postgresql-15.

Is there any way within YunoHost of installing a more recent version of Postgresql? I have ssh access to my server and I know I could use apt install but I’m concerned this might break future YunoHost updates so I’d prefer to upgrade Postgresql in a “YunoHost-friendly” way if possible.

TIA,

Rob Hills
Waikiki, Western Australia

Why do you absolutely want to upgrade postgresql …